%define	upstream_name	 Catalyst-Plugin-Session-Store-DBI
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Store your sessions in a database
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/A/AG/AGRUNDMA//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst) >= 5.49
BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.05
BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:	perl(DBI)
BuildRequires:	perl(MIME::Base64)

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
This storage module will store session data in a database using DBI.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor
%make

%check
%__make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{_mandir}/man3/*
%{perl_vendorlib}/Catalyst


%changelog
* Wed Mar 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.1
+ Revision: 527091
- update to 0.16

* Sat Nov 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.1
+ Revision: 462468
- adding missing buildrequires:
- update to 0.15

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.13-2mdv2009.0
+ Revision: 268394
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 30 2008 Olivier Thauvin <nanardon@mandriva.org> 0.13-1mdv2009.0
+ Revision: 199443
- 0.13

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2008.1
+ Revision: 98002
- new version

* Mon Apr 30 2007 Olivier Thauvin <nanardon@mandriva.org> 0.11-1mdv2008.0
+ Revision: 19699
- 0.11


* Mon Apr 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-1mdk
- New release 0.07
- Fix SOURCE

* Sat Apr 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- new version
- %%mkrel
- fix directory ownership
- rpmbuildupdate aware
- filter out useless requires/buildrequires

* Fri Jan 13 2006 Scott Karns <scott@karnstech.com> 0.05-1mdk
- Initial Mdv package

